##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

#!/bin/bash

cd {{ install_jenkins_agent.home_path }}
curl -sO {{ install_jenkins_agent.master_jar }}

chmod +x ./agent.jar

java -jar ./agent.jar \
-agentLog "{{ install_jenkins_agent.log_path }}/agent.log" \
-url "{{ install_jenkins_agent.master_url }}" \
-secret "{{ install_jenkins_agent.master_secret }}" \
-workDir "{{ install_jenkins_agent.home_path }}" \
-cert {{ install_jenkins_agent.master_ca }} \
-webSocket \
-name "{{ install_jenkins_agent.agent_name }}"

exit 0
